import request from '@/utils/request'

export function getDepartmentPage(data) {
  return request({
    url: '/base-department/page',
    method: 'get',
    params: data
  })
}

export function getDepartmentList(data) {
  return request({
    url: '/base-department/list',
    method: 'post',
    data: data
  })
}

export function getDepartmentById(data) {
  return request({
    url: '/base-department/listById',
    method: 'post',
    data: data
  })
}

export function addDepartment(data) {
  return request({
    url: '/base-department/add',
    method: 'post',
    data: data
  })
}

export function editDepartment(data) {
  return request({
    url: '/base-department/edit',
    method: 'post',
    data: data
  })
}

export function delDepartment(data) {
  return request({
    url: '/base-department/delete',
    method: 'post',
    data: data
  })
}
